This is the mail archive of the lvm2-cvs@sourceware.org mailing list for the LVM2 project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

LVM2/test/lib aux.sh


CVSROOT:	/cvs/lvm2
Module name:	LVM2
Changes by:	zkabelac@sourceware.org	2012-03-16 19:08:09

Modified files:
	test/lib       : aux.sh 

Log message:
	Longer sleep after clvmd start

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/LVM2/test/lib/aux.sh.diff?cvsroot=lvm2&r1=1.45&r2=1.46

--- LVM2/test/lib/aux.sh	2012/03/16 13:44:51	1.45
+++ LVM2/test/lib/aux.sh	2012/03/16 19:08:09	1.46
@@ -36,7 +36,7 @@
 	test -z "$LVM_VALGRIND_CLVMD" || run_valgrind="run_valgrind"
 	$run_valgrind lib/clvmd -Isinglenode -d 1 -f &
 	local local_clvmd=$!
-	sleep .1
+	sleep .3
 	# extra sleep for slow valgrind
 	test -z "$LVM_VALGRIND_CLVMD" || sleep 5
 	# check that it is really running now
@@ -176,7 +176,7 @@
 		kill -INT "$(cat LOCAL_CLVMD)"
 		test -z "$LVM_VALGRIND_CLVMD" || sleep 1
 		sleep .1
-		kill -9 "$(cat LOCAL_CLVMD)" || true
+		kill -9 "$(cat LOCAL_CLVMD)" &>/dev/null || true
 	}
 
 	echo -n .
@@ -288,7 +288,7 @@
 }
 
 cleanup_scsi_debug_dev() {
-	aux teardown_devs
+	teardown_devs
 	rm -f SCSI_DEBUG_DEV LOOP
 }
 


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]